syntax = "proto3";
package protobuf.clickstream;

import "protobuf/meta/meta.proto";
import "google/protobuf/timestamp.proto";


/**
  Clickstream data
**/
message Click {
  option(meta.message.type) = EVENT;

  option(meta.kafka.topics) = "clickstream_clicks";

  option(meta.lifecycle.frequency) = REALTIME;
  option(meta.lifecycle.ttl) = "180d";
  option(meta.lifecycle.archived) = true;

  google.protobuf.Timestamp timestamp = 1; // event timestamp
  map<string, uint32> map_field = 7; // https://developers.google.com/protocol-buffers/docs/proto3#maps
}
